<h2>Список типов: </h2>
<table mat-table [dataSource]="carTypes"
       class="mat-elevation-z8"
       *ngIf="carTypes">

    <ng-container matColumnDef="name">
        <th mat-header-cell *matHeaderCellDef> Имя </th>
        <td mat-cell *matCellDef="let element"> {{element.name}} </td>
    </ng-container>

    <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
    <tr mat-row *matRowDef="let row; columns: displayedColumns;" (click)="goToUser(row)"></tr>
</table>
